package com.hzya.frame.seeyon.zxbank.entity;

import com.hzya.frame.web.entity.BaseEntity;

public class ZxBankEntity extends BaseEntity {
    private String sourceFlowNumber;//来源系统流水号，租户内唯一
    private String documentNo;//业务单据号
    private String companyCode;//公司编码
    private String fundType;//付款类型
    private String digest;//摘要（附言）
    private String payAccountNum;//付方账号
    private String payAccountName;//付方户名
    private String recAccountNum;//收方账号
    private String recAccountName;//收方户名
    private String recBankCode;//收方金融机构行联号
    private String settleAccountType;//结算方式
    private String payChannel;//支付渠道
    private String currency;//币种
    private String transAmount;//金额
    private String payDate;//预计付款日期
    private String toPublic;//对公标识 true:对公 /false:对私
    private String purpose;//用途
    private String submitUser;//提交人姓名
    private String tabName;//表名称
    private String dataId;//id
    private String payResultField;//支付结果字段
    private String payDateField;//打款日期字段
    private String receiptFiled;//电子回单字段
    private String pushStatusField;//推送标识字段
    private String payResult;//支付结果
    private String receipt;//电子回单
    private String pushStatus;//推送标识
    private String summaryId;//

    public String getSummaryId() {
        return summaryId;
    }

    public void setSummaryId(String summaryId) {
        this.summaryId = summaryId;
    }

    public String getTabName() {
        return tabName;
    }

    public void setTabName(String tabName) {
        this.tabName = tabName;
    }

    public String getDataId() {
        return dataId;
    }

    public void setDataId(String dataId) {
        this.dataId = dataId;
    }

    public String getPayResultField() {
        return payResultField;
    }

    public void setPayResultField(String payResultField) {
        this.payResultField = payResultField;
    }

    public String getPayDateField() {
        return payDateField;
    }

    public void setPayDateField(String payDateField) {
        this.payDateField = payDateField;
    }

    public String getReceiptFiled() {
        return receiptFiled;
    }

    public void setReceiptFiled(String receiptFiled) {
        this.receiptFiled = receiptFiled;
    }

    public String getPushStatusField() {
        return pushStatusField;
    }

    public void setPushStatusField(String pushStatusField) {
        this.pushStatusField = pushStatusField;
    }

    public String getPayResult() {
        return payResult;
    }

    public void setPayResult(String payResult) {
        this.payResult = payResult;
    }

    public String getReceipt() {
        return receipt;
    }

    public void setReceipt(String receipt) {
        this.receipt = receipt;
    }

    public String getPushStatus() {
        return pushStatus;
    }

    public void setPushStatus(String pushStatus) {
        this.pushStatus = pushStatus;
    }

    public String getSourceFlowNumber() {
        return sourceFlowNumber;
    }

    public void setSourceFlowNumber(String sourceFlowNumber) {
        this.sourceFlowNumber = sourceFlowNumber;
    }

    public String getDocumentNo() {
        return documentNo;
    }

    public void setDocumentNo(String documentNo) {
        this.documentNo = documentNo;
    }

    public String getCompanyCode() {
        return companyCode;
    }

    public void setCompanyCode(String companyCode) {
        this.companyCode = companyCode;
    }

    public String getFundType() {
        return fundType;
    }

    public void setFundType(String fundType) {
        this.fundType = fundType;
    }

    public String getDigest() {
        return digest;
    }

    public void setDigest(String digest) {
        this.digest = digest;
    }

    public String getPayAccountNum() {
        return payAccountNum;
    }

    public void setPayAccountNum(String payAccountNum) {
        this.payAccountNum = payAccountNum;
    }

    public String getPayAccountName() {
        return payAccountName;
    }

    public void setPayAccountName(String payAccountName) {
        this.payAccountName = payAccountName;
    }

    public String getRecAccountNum() {
        return recAccountNum;
    }

    public void setRecAccountNum(String recAccountNum) {
        this.recAccountNum = recAccountNum;
    }

    public String getRecAccountName() {
        return recAccountName;
    }

    public void setRecAccountName(String recAccountName) {
        this.recAccountName = recAccountName;
    }

    public String getRecBankCode() {
        return recBankCode;
    }

    public void setRecBankCode(String recBankCode) {
        this.recBankCode = recBankCode;
    }

    public String getSettleAccountType() {
        return settleAccountType;
    }

    public void setSettleAccountType(String settleAccountType) {
        this.settleAccountType = settleAccountType;
    }

    public String getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(String payChannel) {
        this.payChannel = payChannel;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getTransAmount() {
        return transAmount;
    }

    public void setTransAmount(String transAmount) {
        this.transAmount = transAmount;
    }

    public String getPayDate() {
        return payDate;
    }

    public void setPayDate(String payDate) {
        this.payDate = payDate;
    }

    public String getToPublic() {
        return toPublic;
    }

    public void setToPublic(String toPublic) {
        this.toPublic = toPublic;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getSubmitUser() {
        return submitUser;
    }

    public void setSubmitUser(String submitUser) {
        this.submitUser = submitUser;
    }
}
